### Name: plot.wccsom
### Title: Plot wccsom object
### Aliases: plot.wccsom plot.wccchanges plot.wcccounts plot.wcccodes
###   plot.wccpred plot.wccprop plot.wccmapping plot.wccquality
###   plot.heatkey
### Keywords: classif

### ** Examples

data(cepha)
gr <- somgrid(3, 3, "hexagonal")
set.seed(7)
x <- wccsom(cepha$patterns, grid = gr, trwidth = 20, rlen = 100)

par(mfrow = c(3,2))
plot(x, type = "codes", main = "Codebook vectors")
plot(x, type = "changes", main = "Convergence")
plot(x, type = "counts", main = "Mapping counts")
plot(x, type = "quality", main = "Mapping quality")
plot(x, type = "mapping", main = "Mapping", 
     labels = cepha$class.names, col = as.integer(factor(cepha$class.names)))
plot(x, type = "mapping", main = "Mapping",
     pchs = as.integer(factor(cepha$class.names)),
     col = as.integer(factor(cepha$class.names)))

par(mfrow=c(1,1))
obj1.wccs <- wccmap(x, cepha$patterns[1,])
plot(x, type = "property", property = obj1.wccs)



